OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.VDPAUInterop

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVVDPAUInterop :: MonadIO m => m Bool
- gl_NV_vdpau_interop :: Bool
- gl_SURFACE_MAPPED_NV :: GLenum
- gl_SURFACE_REGISTERED_NV :: GLenum
- gl_SURFACE_STATE_NV :: GLenum
- gl_WRITE_DISCARD_NV :: GLenum
- glVDPAUFiniNV :: MonadIO m => m ()
- glVDPAUGetSurfaceivNV :: MonadIO m => GLvdpauSurfaceNV -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> m ()
- glVDPAUInitNV :: MonadIO m => Ptr a -> Ptr b -> m ()
- glVDPAUIsSurfaceNV :: MonadIO m => GLvdpauSurfaceNV -> m GLboolean
- glVDPAUMapSurfacesNV :: MonadIO m => GLsizei -> Ptr GLvdpauSurfaceNV -> m ()
- glVDPAURegisterOutputSurfaceNV :: MonadIO m => Ptr a -> GLenum -> GLsizei -> Ptr GLuint -> m GLvdpauSurfaceNV
- glVDPAURegisterVideoSurfaceNV :: MonadIO m => Ptr a -> GLenum -> GLsizei -> Ptr GLuint -> m GLvdpauSurfaceNV
- glVDPAUSurfaceAccessNV :: MonadIO m => GLvdpauSurfaceNV -> GLenum -> m ()
- glVDPAUUnmapSurfacesNV :: MonadIO m => GLsizei -> Ptr GLvdpauSurfaceNV -> m ()
- glVDPAUUnregisterSurfaceNV :: MonadIO m => GLvdpauSurfaceNV -> m ()

# Extension Support

glGetNVVDPAUInterop :: MonadIO m => m Bool

Is the NV_vdpau_interop extension supported?

gl_NV_vdpau_interop :: Bool

Is the NV_vdpau_interop extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVDPAUInterop` in those cases instead.

# Enums

gl_SURFACE_MAPPED_NV :: GLenum

gl_SURFACE_REGISTERED_NV :: GLenum

gl_SURFACE_STATE_NV :: GLenum

gl_WRITE_DISCARD_NV :: GLenum

# Functions

glVDPAUFiniNV :: MonadIO m => m ()

glVDPAUGetSurfaceivNV

Arguments

:: MonadIO m |
=> GLvdpauSurfaceNV | `surface` of type `vdpauSurfaceNV`.
-> GLenum | `pname`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length`.
-> Ptr GLint | `values` pointing to `bufSize` elements of type `GLint`.
-> m () |

glVDPAUInitNV

Arguments

:: MonadIO m |
=> Ptr a | `vdpDevice`.
-> Ptr b | `getProcAddress`.
-> m () |

glVDPAUIsSurfaceNV

Arguments

:: MonadIO m |
=> GLvdpauSurfaceNV | `surface` of type `vdpauSurfaceNV`.
-> m GLboolean |

glVDPAUMapSurfacesNV

Arguments

:: MonadIO m |
=> GLsizei | `numSurfaces`.
-> Ptr GLvdpauSurfaceNV | `surfaces` pointing to `numSurfaces` elements of type `vdpauSurfaceNV`.
-> m () |

glVDPAURegisterOutputSurfaceNV

Arguments

:: MonadIO m |
=> Ptr a | `vdpSurface`.
-> GLenum | `target`.
-> GLsizei | `numTextureNames`.
-> Ptr GLuint | `textureNames` pointing to `numTextureNames` elements of type `GLuint`.
-> m GLvdpauSurfaceNV | of type `vdpauSurfaceNV`.

glVDPAURegisterVideoSurfaceNV

Arguments

:: MonadIO m |
=> Ptr a | `vdpSurface`.
-> GLenum | `target`.
-> GLsizei | `numTextureNames`.
-> Ptr GLuint | `textureNames` pointing to `numTextureNames` elements of type `GLuint`.
-> m GLvdpauSurfaceNV | of type `vdpauSurfaceNV`.

glVDPAUSurfaceAccessNV

Arguments

:: MonadIO m |
=> GLvdpauSurfaceNV | `surface` of type `vdpauSurfaceNV`.
-> GLenum | `access`.
-> m () |

glVDPAUUnmapSurfacesNV

Arguments

:: MonadIO m |
=> GLsizei | `numSurface`.
-> Ptr GLvdpauSurfaceNV | `surfaces` pointing to `numSurface` elements of type `vdpauSurfaceNV`.
-> m () |

glVDPAUUnregisterSurfaceNV

Arguments

:: MonadIO m |
=> GLvdpauSurfaceNV | `surface` of type `vdpauSurfaceNV`.
-> m () |